Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network204.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
204.232.0.0
Broadcast address
204.239.255.255
First usable
204.232.0.1
Last usable
204.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
C (default /24)
As numbers
Hex CCE80000 · Integer 3437756416 to 3438280703
Reverse DNS zones
232.204.in-addr.arpa
233.204.in-addr.arpa
234.204.in-addr.arpa
235.204.in-addr.arpa
236.204.in-addr.arpa
237.204.in-addr.arpa
238.204.in-addr.arpa
239.204.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001100.11101000.00000000.00000000204.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11001100.11101000.00000000.00000000204.232.0.0
Broadcast11001100.11101111.11111111.11111111204.239.255.255
Split into smaller subnets/21

204.232.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1204.232.0.0/21204.232.0.1 to 204.232.7.254204.232.7.2552,046
2204.232.8.0/21204.232.8.1 to 204.232.15.254204.232.15.2552,046
3204.232.16.0/21204.232.16.1 to 204.232.23.254204.232.23.2552,046
4204.232.24.0/21204.232.24.1 to 204.232.31.254204.232.31.2552,046
5204.232.32.0/21204.232.32.1 to 204.232.39.254204.232.39.2552,046
6204.232.40.0/21204.232.40.1 to 204.232.47.254204.232.47.2552,046
7204.232.48.0/21204.232.48.1 to 204.232.55.254204.232.55.2552,046
8204.232.56.0/21204.232.56.1 to 204.232.63.254204.232.63.2552,046
9204.232.64.0/21204.232.64.1 to 204.232.71.254204.232.71.2552,046
10204.232.72.0/21204.232.72.1 to 204.232.79.254204.232.79.2552,046
11204.232.80.0/21204.232.80.1 to 204.232.87.254204.232.87.2552,046
12204.232.88.0/21204.232.88.1 to 204.232.95.254204.232.95.2552,046
13204.232.96.0/21204.232.96.1 to 204.232.103.254204.232.103.2552,046
14204.232.104.0/21204.232.104.1 to 204.232.111.254204.232.111.2552,046
15204.232.112.0/21204.232.112.1 to 204.232.119.254204.232.119.2552,046
16204.232.120.0/21204.232.120.1 to 204.232.127.254204.232.127.2552,046
17204.232.128.0/21204.232.128.1 to 204.232.135.254204.232.135.2552,046
18204.232.136.0/21204.232.136.1 to 204.232.143.254204.232.143.2552,046
19204.232.144.0/21204.232.144.1 to 204.232.151.254204.232.151.2552,046
20204.232.152.0/21204.232.152.1 to 204.232.159.254204.232.159.2552,046
21204.232.160.0/21204.232.160.1 to 204.232.167.254204.232.167.2552,046
22204.232.168.0/21204.232.168.1 to 204.232.175.254204.232.175.2552,046
23204.232.176.0/21204.232.176.1 to 204.232.183.254204.232.183.2552,046
24204.232.184.0/21204.232.184.1 to 204.232.191.254204.232.191.2552,046
25204.232.192.0/21204.232.192.1 to 204.232.199.254204.232.199.2552,046
26204.232.200.0/21204.232.200.1 to 204.232.207.254204.232.207.2552,046
27204.232.208.0/21204.232.208.1 to 204.232.215.254204.232.215.2552,046
28204.232.216.0/21204.232.216.1 to 204.232.223.254204.232.223.2552,046
29204.232.224.0/21204.232.224.1 to 204.232.231.254204.232.231.2552,046
30204.232.232.0/21204.232.232.1 to 204.232.239.254204.232.239.2552,046
31204.232.240.0/21204.232.240.1 to 204.232.247.254204.232.247.2552,046
32204.232.248.0/21204.232.248.1 to 204.232.255.254204.232.255.2552,046
33204.233.0.0/21204.233.0.1 to 204.233.7.254204.233.7.2552,046
34204.233.8.0/21204.233.8.1 to 204.233.15.254204.233.15.2552,046
35204.233.16.0/21204.233.16.1 to 204.233.23.254204.233.23.2552,046
36204.233.24.0/21204.233.24.1 to 204.233.31.254204.233.31.2552,046
37204.233.32.0/21204.233.32.1 to 204.233.39.254204.233.39.2552,046
38204.233.40.0/21204.233.40.1 to 204.233.47.254204.233.47.2552,046
39204.233.48.0/21204.233.48.1 to 204.233.55.254204.233.55.2552,046
40204.233.56.0/21204.233.56.1 to 204.233.63.254204.233.63.2552,046
41204.233.64.0/21204.233.64.1 to 204.233.71.254204.233.71.2552,046
42204.233.72.0/21204.233.72.1 to 204.233.79.254204.233.79.2552,046
43204.233.80.0/21204.233.80.1 to 204.233.87.254204.233.87.2552,046
44204.233.88.0/21204.233.88.1 to 204.233.95.254204.233.95.2552,046
45204.233.96.0/21204.233.96.1 to 204.233.103.254204.233.103.2552,046
46204.233.104.0/21204.233.104.1 to 204.233.111.254204.233.111.2552,046
47204.233.112.0/21204.233.112.1 to 204.233.119.254204.233.119.2552,046
48204.233.120.0/21204.233.120.1 to 204.233.127.254204.233.127.2552,046
49204.233.128.0/21204.233.128.1 to 204.233.135.254204.233.135.2552,046
50204.233.136.0/21204.233.136.1 to 204.233.143.254204.233.143.2552,046
51204.233.144.0/21204.233.144.1 to 204.233.151.254204.233.151.2552,046
52204.233.152.0/21204.233.152.1 to 204.233.159.254204.233.159.2552,046
53204.233.160.0/21204.233.160.1 to 204.233.167.254204.233.167.2552,046
54204.233.168.0/21204.233.168.1 to 204.233.175.254204.233.175.2552,046
55204.233.176.0/21204.233.176.1 to 204.233.183.254204.233.183.2552,046
56204.233.184.0/21204.233.184.1 to 204.233.191.254204.233.191.2552,046
57204.233.192.0/21204.233.192.1 to 204.233.199.254204.233.199.2552,046
58204.233.200.0/21204.233.200.1 to 204.233.207.254204.233.207.2552,046
59204.233.208.0/21204.233.208.1 to 204.233.215.254204.233.215.2552,046
60204.233.216.0/21204.233.216.1 to 204.233.223.254204.233.223.2552,046
61204.233.224.0/21204.233.224.1 to 204.233.231.254204.233.231.2552,046
62204.233.232.0/21204.233.232.1 to 204.233.239.254204.233.239.2552,046
63204.233.240.0/21204.233.240.1 to 204.233.247.254204.233.247.2552,046
64204.233.248.0/21204.233.248.1 to 204.233.255.254204.233.255.2552,046
65204.234.0.0/21204.234.0.1 to 204.234.7.254204.234.7.2552,046
66204.234.8.0/21204.234.8.1 to 204.234.15.254204.234.15.2552,046
67204.234.16.0/21204.234.16.1 to 204.234.23.254204.234.23.2552,046
68204.234.24.0/21204.234.24.1 to 204.234.31.254204.234.31.2552,046
69204.234.32.0/21204.234.32.1 to 204.234.39.254204.234.39.2552,046
70204.234.40.0/21204.234.40.1 to 204.234.47.254204.234.47.2552,046
71204.234.48.0/21204.234.48.1 to 204.234.55.254204.234.55.2552,046
72204.234.56.0/21204.234.56.1 to 204.234.63.254204.234.63.2552,046
73204.234.64.0/21204.234.64.1 to 204.234.71.254204.234.71.2552,046
74204.234.72.0/21204.234.72.1 to 204.234.79.254204.234.79.2552,046
75204.234.80.0/21204.234.80.1 to 204.234.87.254204.234.87.2552,046
76204.234.88.0/21204.234.88.1 to 204.234.95.254204.234.95.2552,046
77204.234.96.0/21204.234.96.1 to 204.234.103.254204.234.103.2552,046
78204.234.104.0/21204.234.104.1 to 204.234.111.254204.234.111.2552,046
79204.234.112.0/21204.234.112.1 to 204.234.119.254204.234.119.2552,046
80204.234.120.0/21204.234.120.1 to 204.234.127.254204.234.127.2552,046
81204.234.128.0/21204.234.128.1 to 204.234.135.254204.234.135.2552,046
82204.234.136.0/21204.234.136.1 to 204.234.143.254204.234.143.2552,046
83204.234.144.0/21204.234.144.1 to 204.234.151.254204.234.151.2552,046
84204.234.152.0/21204.234.152.1 to 204.234.159.254204.234.159.2552,046
85204.234.160.0/21204.234.160.1 to 204.234.167.254204.234.167.2552,046
86204.234.168.0/21204.234.168.1 to 204.234.175.254204.234.175.2552,046
87204.234.176.0/21204.234.176.1 to 204.234.183.254204.234.183.2552,046
88204.234.184.0/21204.234.184.1 to 204.234.191.254204.234.191.2552,046
89204.234.192.0/21204.234.192.1 to 204.234.199.254204.234.199.2552,046
90204.234.200.0/21204.234.200.1 to 204.234.207.254204.234.207.2552,046
91204.234.208.0/21204.234.208.1 to 204.234.215.254204.234.215.2552,046
92204.234.216.0/21204.234.216.1 to 204.234.223.254204.234.223.2552,046
93204.234.224.0/21204.234.224.1 to 204.234.231.254204.234.231.2552,046
94204.234.232.0/21204.234.232.1 to 204.234.239.254204.234.239.2552,046
95204.234.240.0/21204.234.240.1 to 204.234.247.254204.234.247.2552,046
96204.234.248.0/21204.234.248.1 to 204.234.255.254204.234.255.2552,046
97204.235.0.0/21204.235.0.1 to 204.235.7.254204.235.7.2552,046
98204.235.8.0/21204.235.8.1 to 204.235.15.254204.235.15.2552,046
99204.235.16.0/21204.235.16.1 to 204.235.23.254204.235.23.2552,046
100204.235.24.0/21204.235.24.1 to 204.235.31.254204.235.31.2552,046
101204.235.32.0/21204.235.32.1 to 204.235.39.254204.235.39.2552,046
102204.235.40.0/21204.235.40.1 to 204.235.47.254204.235.47.2552,046
103204.235.48.0/21204.235.48.1 to 204.235.55.254204.235.55.2552,046
104204.235.56.0/21204.235.56.1 to 204.235.63.254204.235.63.2552,046
105204.235.64.0/21204.235.64.1 to 204.235.71.254204.235.71.2552,046
106204.235.72.0/21204.235.72.1 to 204.235.79.254204.235.79.2552,046
107204.235.80.0/21204.235.80.1 to 204.235.87.254204.235.87.2552,046
108204.235.88.0/21204.235.88.1 to 204.235.95.254204.235.95.2552,046
109204.235.96.0/21204.235.96.1 to 204.235.103.254204.235.103.2552,046
110204.235.104.0/21204.235.104.1 to 204.235.111.254204.235.111.2552,046
111204.235.112.0/21204.235.112.1 to 204.235.119.254204.235.119.2552,046
112204.235.120.0/21204.235.120.1 to 204.235.127.254204.235.127.2552,046
113204.235.128.0/21204.235.128.1 to 204.235.135.254204.235.135.2552,046
114204.235.136.0/21204.235.136.1 to 204.235.143.254204.235.143.2552,046
115204.235.144.0/21204.235.144.1 to 204.235.151.254204.235.151.2552,046
116204.235.152.0/21204.235.152.1 to 204.235.159.254204.235.159.2552,046
117204.235.160.0/21204.235.160.1 to 204.235.167.254204.235.167.2552,046
118204.235.168.0/21204.235.168.1 to 204.235.175.254204.235.175.2552,046
119204.235.176.0/21204.235.176.1 to 204.235.183.254204.235.183.2552,046
120204.235.184.0/21204.235.184.1 to 204.235.191.254204.235.191.2552,046
121204.235.192.0/21204.235.192.1 to 204.235.199.254204.235.199.2552,046
122204.235.200.0/21204.235.200.1 to 204.235.207.254204.235.207.2552,046
123204.235.208.0/21204.235.208.1 to 204.235.215.254204.235.215.2552,046
124204.235.216.0/21204.235.216.1 to 204.235.223.254204.235.223.2552,046
125204.235.224.0/21204.235.224.1 to 204.235.231.254204.235.231.2552,046
126204.235.232.0/21204.235.232.1 to 204.235.239.254204.235.239.2552,046
127204.235.240.0/21204.235.240.1 to 204.235.247.254204.235.247.2552,046
128204.235.248.0/21204.235.248.1 to 204.235.255.254204.235.255.2552,046
129204.236.0.0/21204.236.0.1 to 204.236.7.254204.236.7.2552,046
130204.236.8.0/21204.236.8.1 to 204.236.15.254204.236.15.2552,046
131204.236.16.0/21204.236.16.1 to 204.236.23.254204.236.23.2552,046
132204.236.24.0/21204.236.24.1 to 204.236.31.254204.236.31.2552,046
133204.236.32.0/21204.236.32.1 to 204.236.39.254204.236.39.2552,046
134204.236.40.0/21204.236.40.1 to 204.236.47.254204.236.47.2552,046
135204.236.48.0/21204.236.48.1 to 204.236.55.254204.236.55.2552,046
136204.236.56.0/21204.236.56.1 to 204.236.63.254204.236.63.2552,046
137204.236.64.0/21204.236.64.1 to 204.236.71.254204.236.71.2552,046
138204.236.72.0/21204.236.72.1 to 204.236.79.254204.236.79.2552,046
139204.236.80.0/21204.236.80.1 to 204.236.87.254204.236.87.2552,046
140204.236.88.0/21204.236.88.1 to 204.236.95.254204.236.95.2552,046
141204.236.96.0/21204.236.96.1 to 204.236.103.254204.236.103.2552,046
142204.236.104.0/21204.236.104.1 to 204.236.111.254204.236.111.2552,046
143204.236.112.0/21204.236.112.1 to 204.236.119.254204.236.119.2552,046
144204.236.120.0/21204.236.120.1 to 204.236.127.254204.236.127.2552,046
145204.236.128.0/21204.236.128.1 to 204.236.135.254204.236.135.2552,046
146204.236.136.0/21204.236.136.1 to 204.236.143.254204.236.143.2552,046
147204.236.144.0/21204.236.144.1 to 204.236.151.254204.236.151.2552,046
148204.236.152.0/21204.236.152.1 to 204.236.159.254204.236.159.2552,046
149204.236.160.0/21204.236.160.1 to 204.236.167.254204.236.167.2552,046
150204.236.168.0/21204.236.168.1 to 204.236.175.254204.236.175.2552,046
151204.236.176.0/21204.236.176.1 to 204.236.183.254204.236.183.2552,046
152204.236.184.0/21204.236.184.1 to 204.236.191.254204.236.191.2552,046
153204.236.192.0/21204.236.192.1 to 204.236.199.254204.236.199.2552,046
154204.236.200.0/21204.236.200.1 to 204.236.207.254204.236.207.2552,046
155204.236.208.0/21204.236.208.1 to 204.236.215.254204.236.215.2552,046
156204.236.216.0/21204.236.216.1 to 204.236.223.254204.236.223.2552,046
157204.236.224.0/21204.236.224.1 to 204.236.231.254204.236.231.2552,046
158204.236.232.0/21204.236.232.1 to 204.236.239.254204.236.239.2552,046
159204.236.240.0/21204.236.240.1 to 204.236.247.254204.236.247.2552,046
160204.236.248.0/21204.236.248.1 to 204.236.255.254204.236.255.2552,046
161204.237.0.0/21204.237.0.1 to 204.237.7.254204.237.7.2552,046
162204.237.8.0/21204.237.8.1 to 204.237.15.254204.237.15.2552,046
163204.237.16.0/21204.237.16.1 to 204.237.23.254204.237.23.2552,046
164204.237.24.0/21204.237.24.1 to 204.237.31.254204.237.31.2552,046
165204.237.32.0/21204.237.32.1 to 204.237.39.254204.237.39.2552,046
166204.237.40.0/21204.237.40.1 to 204.237.47.254204.237.47.2552,046
167204.237.48.0/21204.237.48.1 to 204.237.55.254204.237.55.2552,046
168204.237.56.0/21204.237.56.1 to 204.237.63.254204.237.63.2552,046
169204.237.64.0/21204.237.64.1 to 204.237.71.254204.237.71.2552,046
170204.237.72.0/21204.237.72.1 to 204.237.79.254204.237.79.2552,046
171204.237.80.0/21204.237.80.1 to 204.237.87.254204.237.87.2552,046
172204.237.88.0/21204.237.88.1 to 204.237.95.254204.237.95.2552,046
173204.237.96.0/21204.237.96.1 to 204.237.103.254204.237.103.2552,046
174204.237.104.0/21204.237.104.1 to 204.237.111.254204.237.111.2552,046
175204.237.112.0/21204.237.112.1 to 204.237.119.254204.237.119.2552,046
176204.237.120.0/21204.237.120.1 to 204.237.127.254204.237.127.2552,046
177204.237.128.0/21204.237.128.1 to 204.237.135.254204.237.135.2552,046
178204.237.136.0/21204.237.136.1 to 204.237.143.254204.237.143.2552,046
179204.237.144.0/21204.237.144.1 to 204.237.151.254204.237.151.2552,046
180204.237.152.0/21204.237.152.1 to 204.237.159.254204.237.159.2552,046
181204.237.160.0/21204.237.160.1 to 204.237.167.254204.237.167.2552,046
182204.237.168.0/21204.237.168.1 to 204.237.175.254204.237.175.2552,046
183204.237.176.0/21204.237.176.1 to 204.237.183.254204.237.183.2552,046
184204.237.184.0/21204.237.184.1 to 204.237.191.254204.237.191.2552,046
185204.237.192.0/21204.237.192.1 to 204.237.199.254204.237.199.2552,046
186204.237.200.0/21204.237.200.1 to 204.237.207.254204.237.207.2552,046
187204.237.208.0/21204.237.208.1 to 204.237.215.254204.237.215.2552,046
188204.237.216.0/21204.237.216.1 to 204.237.223.254204.237.223.2552,046
189204.237.224.0/21204.237.224.1 to 204.237.231.254204.237.231.2552,046
190204.237.232.0/21204.237.232.1 to 204.237.239.254204.237.239.2552,046
191204.237.240.0/21204.237.240.1 to 204.237.247.254204.237.247.2552,046
192204.237.248.0/21204.237.248.1 to 204.237.255.254204.237.255.2552,046
193204.238.0.0/21204.238.0.1 to 204.238.7.254204.238.7.2552,046
194204.238.8.0/21204.238.8.1 to 204.238.15.254204.238.15.2552,046
195204.238.16.0/21204.238.16.1 to 204.238.23.254204.238.23.2552,046
196204.238.24.0/21204.238.24.1 to 204.238.31.254204.238.31.2552,046
197204.238.32.0/21204.238.32.1 to 204.238.39.254204.238.39.2552,046
198204.238.40.0/21204.238.40.1 to 204.238.47.254204.238.47.2552,046
199204.238.48.0/21204.238.48.1 to 204.238.55.254204.238.55.2552,046
200204.238.56.0/21204.238.56.1 to 204.238.63.254204.238.63.2552,046
201204.238.64.0/21204.238.64.1 to 204.238.71.254204.238.71.2552,046
202204.238.72.0/21204.238.72.1 to 204.238.79.254204.238.79.2552,046
203204.238.80.0/21204.238.80.1 to 204.238.87.254204.238.87.2552,046
204204.238.88.0/21204.238.88.1 to 204.238.95.254204.238.95.2552,046
205204.238.96.0/21204.238.96.1 to 204.238.103.254204.238.103.2552,046
206204.238.104.0/21204.238.104.1 to 204.238.111.254204.238.111.2552,046
207204.238.112.0/21204.238.112.1 to 204.238.119.254204.238.119.2552,046
208204.238.120.0/21204.238.120.1 to 204.238.127.254204.238.127.2552,046
209204.238.128.0/21204.238.128.1 to 204.238.135.254204.238.135.2552,046
210204.238.136.0/21204.238.136.1 to 204.238.143.254204.238.143.2552,046
211204.238.144.0/21204.238.144.1 to 204.238.151.254204.238.151.2552,046
212204.238.152.0/21204.238.152.1 to 204.238.159.254204.238.159.2552,046
213204.238.160.0/21204.238.160.1 to 204.238.167.254204.238.167.2552,046
214204.238.168.0/21204.238.168.1 to 204.238.175.254204.238.175.2552,046
215204.238.176.0/21204.238.176.1 to 204.238.183.254204.238.183.2552,046
216204.238.184.0/21204.238.184.1 to 204.238.191.254204.238.191.2552,046
217204.238.192.0/21204.238.192.1 to 204.238.199.254204.238.199.2552,046
218204.238.200.0/21204.238.200.1 to 204.238.207.254204.238.207.2552,046
219204.238.208.0/21204.238.208.1 to 204.238.215.254204.238.215.2552,046
220204.238.216.0/21204.238.216.1 to 204.238.223.254204.238.223.2552,046
221204.238.224.0/21204.238.224.1 to 204.238.231.254204.238.231.2552,046
222204.238.232.0/21204.238.232.1 to 204.238.239.254204.238.239.2552,046
223204.238.240.0/21204.238.240.1 to 204.238.247.254204.238.247.2552,046
224204.238.248.0/21204.238.248.1 to 204.238.255.254204.238.255.2552,046
225204.239.0.0/21204.239.0.1 to 204.239.7.254204.239.7.2552,046
226204.239.8.0/21204.239.8.1 to 204.239.15.254204.239.15.2552,046
227204.239.16.0/21204.239.16.1 to 204.239.23.254204.239.23.2552,046
228204.239.24.0/21204.239.24.1 to 204.239.31.254204.239.31.2552,046
229204.239.32.0/21204.239.32.1 to 204.239.39.254204.239.39.2552,046
230204.239.40.0/21204.239.40.1 to 204.239.47.254204.239.47.2552,046
231204.239.48.0/21204.239.48.1 to 204.239.55.254204.239.55.2552,046
232204.239.56.0/21204.239.56.1 to 204.239.63.254204.239.63.2552,046
233204.239.64.0/21204.239.64.1 to 204.239.71.254204.239.71.2552,046
234204.239.72.0/21204.239.72.1 to 204.239.79.254204.239.79.2552,046
235204.239.80.0/21204.239.80.1 to 204.239.87.254204.239.87.2552,046
236204.239.88.0/21204.239.88.1 to 204.239.95.254204.239.95.2552,046
237204.239.96.0/21204.239.96.1 to 204.239.103.254204.239.103.2552,046
238204.239.104.0/21204.239.104.1 to 204.239.111.254204.239.111.2552,046
239204.239.112.0/21204.239.112.1 to 204.239.119.254204.239.119.2552,046
240204.239.120.0/21204.239.120.1 to 204.239.127.254204.239.127.2552,046
241204.239.128.0/21204.239.128.1 to 204.239.135.254204.239.135.2552,046
242204.239.136.0/21204.239.136.1 to 204.239.143.254204.239.143.2552,046
243204.239.144.0/21204.239.144.1 to 204.239.151.254204.239.151.2552,046
244204.239.152.0/21204.239.152.1 to 204.239.159.254204.239.159.2552,046
245204.239.160.0/21204.239.160.1 to 204.239.167.254204.239.167.2552,046
246204.239.168.0/21204.239.168.1 to 204.239.175.254204.239.175.2552,046
247204.239.176.0/21204.239.176.1 to 204.239.183.254204.239.183.2552,046
248204.239.184.0/21204.239.184.1 to 204.239.191.254204.239.191.2552,046
249204.239.192.0/21204.239.192.1 to 204.239.199.254204.239.199.2552,046
250204.239.200.0/21204.239.200.1 to 204.239.207.254204.239.207.2552,046
251204.239.208.0/21204.239.208.1 to 204.239.215.254204.239.215.2552,046
252204.239.216.0/21204.239.216.1 to 204.239.223.254204.239.223.2552,046
253204.239.224.0/21204.239.224.1 to 204.239.231.254204.239.231.2552,046
254204.239.232.0/21204.239.232.1 to 204.239.239.254204.239.239.2552,046
255204.239.240.0/21204.239.240.1 to 204.239.247.254204.239.247.2552,046
256204.239.248.0/21204.239.248.1 to 204.239.255.254204.239.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses